GET /api/v3/meter/{meterId}/digest/savings/yearly

Retrieves savings data for a single meter for a given number of years.

GetMeterSavingsYearlyV3 Permissions: Meters (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
meterId The meter for which to return data integer (int32) Required

Query Parameters

Name Description Type Required
numberOfYears Number of years of data to return including the current year - Defaults to 4 integer (int32) Optional

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

MeterDigestSavingsYearlyResponse
Property Description Type
allTimeBATCCCommonUse Program to Date BATCC (Baseline Adjusted to Current Conditions) Common Use number (double)
allTimeBATCCNativeUse Program to Date BATCC (Baseline Adjusted to Current Conditions) Native Use number (double)
allTimeBATCCTotalCost Program to Date BATCC (Baseline Adjusted to Current Conditions) Total Cost number (double)
allTimeCommonUse Program to Date Common Use number (double)
allTimeNativeUse Program to Date Native Use number (double)
allTimeSavingsCommonUse Program to Date Savings Common Use = allTimeBATCCCommonUse - allTimeCommonUse number (double)
allTimeSavingsNativeUse Program to Date Savings Native Use = allTimeBATCCNativeUse - allTimeNativeUse number (double)
allTimeSavingsTotalCost Program to Date Savings Total Cost = allTimeBATCCTotalCost - allTimeTotalCost number (double)
allTimeTotalCost Program to Date Total Cost number (double)
commonUseUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
costUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
meterCAP MeterCAPResponse
MeterCAPResponse properties
Property Description Type
baseStart The meter’s baseline start date string (date-time)
includeInCAP Indicates if the meter is included or not included in cost avoidance calculations boolean
savingStart The meter’s savings start date string (date-time)
meterCode The meter code string
meterId The meter identifier integer (int32)
meterInfo The meter info string
nativeUseUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
results An array of yearly data MeterDigestSavingsYearlyResponse+Results[]
MeterDigestSavingsYearlyResponse+Results properties
Property Description Type
batccCommonUse BATCC (Baseline Adjusted to Current Conditions) Common Use number (double)
batccNativeUse BATCC (Baseline Adjusted to Current Conditions) Native Use number (double)
batccTotalCost BATCC (Baseline Adjusted to Current Conditions) Total Cost number (double)
commonUse Common Use number (double)
nativeUse Native Use number (double)
savingsCommonUse Savings Common Use = BATCCCommonUse - CommonUse number (double)
savingsNativeUse Savings Native Use = BATCCNativeUse - NativeUse number (double)
savingsTotalCost Savings Total Cost = BATCCTotalCost - TotalCost number (double)
totalCost Total Cost number (double)
year Year string
savingsStartDate The saving program’s start date string (date-time)
updated The date and time the data was updated string (date-time)
Example Response application/json
{  "allTimeBATCCCommonUse": 1.0,  "allTimeBATCCNativeUse": 1.0,  "allTimeBATCCTotalCost": 1.0,  "allTimeCommonUse": 1.0,  "allTimeNativeUse": 1.0,  "allTimeSavingsCommonUse": 1.0,  "allTimeSavingsNativeUse": 1.0,  "allTimeSavingsTotalCost": 1.0,  "allTimeTotalCost": 1.0,  "commonUseUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  },  "costUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  },  "meterCAP": {    "baseStart": "2026-03-30",    "includeInCAP": false,    "savingStart": "2026-03-30"
  },  "meterCode": "string",  "meterId": 1,  "meterInfo": "string",  "nativeUseUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  },  "results": [
    {    "batccCommonUse": 1.0,    "batccNativeUse": 1.0,    "batccTotalCost": 1.0,    "commonUse": 1.0,    "nativeUse": 1.0,    "savingsCommonUse": 1.0,    "savingsNativeUse": 1.0,    "savingsTotalCost": 1.0,    "totalCost": 1.0,    "year": "string"
  }
  ],  "savingsStartDate": "2026-03-30",  "updated": "2026-03-30"
}
204 No Content The request succeeded. No content is returned in the response body.